Subject: New addition to the IWG
From: Interfaith Working Group <[email-masked]>
Date: Fri, 3 Apr 1998 23:37:40 -0500 (EST)

We are very pleased to announce the addition of the
Methodist Federation for Social Action, Eastern PA Conference
to the IWG list of supporters and the next printing of the letterhead.

For a full list, please visit
http://www.libertynet.org/iwg/members.html

--

Interfaith Working Group                Religious organizations, congregations
[email-masked]                      and clergy supporting gay rights,
http://www.libertynet.org/iwg/          reproductive freedom, and the
215-235-3050                            separation of church and state.